<bugID>904341<Summary>Content-blocking Add-Ons and Tracking Protection not working with background thumbnails</Summary><Description>Some popular content-blocking addons are failing to work with background thumbnails.  AdBlockPlus is known to not work, and there is suspicion that other popular ones, like NoScript, Ghostery and Request Policy may fail for similar reasons.

We should look into why they fail and see if there is anything we can do to fix them.

More context at https://groups.google.com/forum/#!topic/mozilla.dev.platform/2WHROKmyQso and https://groups.google.com/d/msg/mozilla.dev.platform/2WHROKmyQso/_bOhXmf-gQIJ</Description></bugID>